> For the complete documentation index, see [llms.txt](https://docs.medcrypt.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.medcrypt.com/fr/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-transportinterface.md).

# medcrypt::guardian::TransportInterface

[Service::ConfigureTransport](/fr/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-service.md#function-configuretransport) interface requise.

`#include <TransportInterface.h>`

## Fonctions publiques

|                                                                                                                   | Nom                                                                                                                                                                                                           |
| ----------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| virtual                                                                                                           | [**\~TransportInterface**](#function-~transportinterface)()                                                                                                                                                   |
| virtual [Status](/fr/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian.md#typedef-status) | <p><a href="#function-applysecurity"><strong>ApplySecurity</strong></a>(const std::unique\_ptr< medcrypt::guardian::utilities::SafeString > & in\_parameters) =0<br>Récepteur des paramètres de sécurité.</p> |

## Documentation des fonctions publiques

### fonction \~TransportInterface

```cpp
inline virtual ~TransportInterface()
```

### fonction ApplySecurity

```cpp
virtual Status ApplySecurity(
    const std::unique_ptr< medcrypt::guardian::utilities::SafeString > & in_parameters
) =0
```

Récepteur des paramètres de sécurité.

**Paramètres**:

* **in\_parameters** encodage des paramètres de sécurité dépendant de l’implémentation

**Renvoie**:

* **OK** sécurité appliquée avec succès
* **autre** tout code d’échec non nul

**Retour**: [medcrypt::guardian::Status](/fr/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian.md#typedef-status)

Le contenu de in\_parameters dépend du type de transport implémenté par la classe dérivée.

Une fonction ApplySecurity implémentée doit renvoyer [GuardianStatusEnum::OK](/fr/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian-guardianstatusenum.md#enum-type) en cas de réussite, et un code défini par la classe dérivée et différent de zéro en cas d’échec.

Le type SafeString peut être traité comme un std::string ordinaire.

## Débogage et journalisation

Guardian ne crée pas de fichiers journaux. La journalisation est plutôt contrôlée par l’application :

* Guardian écrit les journaux dans `stdout` et `stderr`, qui s’affichent dans le terminal/la CLI de l’application en cours d’exécution. Recherchez dans la sortie les codes d’erreur spécifiques ou les échecs de connexion.
* **Journalisation personnalisée :** Utilisez `SetLoggingCallback` pour rediriger les messages de journalisation vers une fonction de rappel, interrompre leur affichage dans le terminal et permettre un traitement personnalisé des journaux
* **Contrôle de la journalisation :** Les applications peuvent contrôler le niveau et le degré de détail de la journalisation.
* **Interface utilisateur de Guardian Cloud**: Consultez l’interface Guardian Cloud pour obtenir des détails supplémentaires sur les erreurs et connaître l’état du provisionnement.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.medcrypt.com/fr/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-transportinterface.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
